summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorAxel Svensson <mail@axelsvensson.com>2022-07-28 02:26:29 +0200
committerAxel Svensson <mail@axelsvensson.com>2022-07-28 13:20:23 +0200
commit23d2d04a407ef444955a03b4a958e1415d6c229d (patch)
tree6a839a11850e3246e5df3cbed9236658a9d50636 /tests
parenta8628504e7f028789ecce5df028ebf11165015c3 (diff)
Add integration test case 007
Diffstat (limited to 'tests')
-rwxr-xr-xtests/integration-tests/testcases/007.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/integration-tests/testcases/007.sh b/tests/integration-tests/testcases/007.sh
new file mode 100755
index 0000000..5c1fe60
--- /dev/null
+++ b/tests/integration-tests/testcases/007.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -ex
+
+# Try to reproduce top-left pixel bug
+
+start-xvfb-with-max-resolution 2000 2000
+start-stumpwm
+set-resolution 640 427
+
+stumpwm-cmd eval '(SETF *WINDOW-BORDER-STYLE* :NONE)'
+open-test-window-with-font-size 3
+screenshot 1
+set-resolution 1280 854
+screenshot 2
+screenshots-differ 1 2
+set-resolution 640 427
+screenshot 3
+screenshots-match 1 3